Name:          libzzip
Version:       0.13.72
Release:       1mamba
Summary:       A library to extract data from files archived in a single zip file
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gdraheim/zziplib
Source:        https://github.com/gdraheim/zziplib.git/v%{version}/zziplib-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/sourceforge/zziplib/zziplib-%{version}.tar.bz2
Patch0:        libzzip-0.13.59-ld-no-export-dynamic.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
The zziplib library is intentionally lightweight, it offers the ability to easily extract data from files archived in a single zip file. Applications can bundle files into a single zip archive and access them. The implementation is based only on the (free) subset of compression with the  zlib algorithm which is actually used by the zip/unzip tools.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The zziplib library is intentionally lightweight, it offers the ability to easily extract data from files archived in a single zip file. Applications can bundle files into a single zip archive and access them. The implementation is based only on the (free) subset of compression with the  zlib algorithm which is actually used by the zip/unzip tools.
This package contains static libraries and header files needed for development.

%package -n zzip
Summary:       Tools for the zzip extract library
Group:         Applications/Archiving

%description -n zzip
The zziplib library is intentionally lightweight, it offers the ability to easily extract data from files archived in a single zip file. Applications can bundle files into a single zip archive and access them. The implementation is based only on the (free) subset of compression with the  zlib algorithm which is actually used by the zip/unzip tools.
This package contains the tools for extracting zzip files.

%debug_package

%prep
%setup -q -n zziplib-%{version}
#%patch0 -p1
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," uses/config.sub
#autoreconf -i

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libzzip-0.so.*
%{_libdir}/libzzipfseeko-0.so.*
%{_libdir}/libzzipmmapped-0.so.*
%{_libdir}/libzzipwrap-0.so.*
%doc COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/zzip*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%dir %{_includedir}/SDL_rwops_zzip
%{_includedir}/SDL_rwops_zzip/*
%{_libdir}/libzzip.so
%{_libdir}/libzzipfseeko.so
%{_libdir}/libzzipmmapped.so
%{_libdir}/libzzipwrap.so
%{_libdir}/libzzip-0.so
%{_libdir}/libzzipfseeko-0.so
%{_libdir}/libzzipmmapped-0.so
%{_libdir}/libzzipwrap-0.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/zziplib.m4
%{_mandir}/man3/*.3.gz
%doc ChangeLog README TODO

%files -n zzip
%defattr(-,root,root)
%{_bindir}/unzip-mem
%{_bindir}/unzzip
%{_bindir}/unzzip-big
%{_bindir}/unzzip-mem
%{_bindir}/unzzip-mix
%{_bindir}/zzcat
%{_bindir}/zzdir
%{_bindir}/zzxorcat
%{_bindir}/zzxorcopy
%{_bindir}/zzxordir

%changelog
* Sat Feb 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.72-1mamba
- update to 0.13.72

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.68-1mamba
- update to 0.13.68
- added debug package and aarch64 build fix

* Sat Aug 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.59-2mamba
- patched to remove obsolete ld flags --export-dynamic

* Wed May 12 2010 Automatic Build System <autodist@mambasoft.it> 0.13.59-1mamba
- automatic update by autodist

* Mon Aug 31 2009 Automatic Build System <autodist@mambasoft.it> 0.13.58-1mamba
- automatic update by autodist

* Mon Aug 10 2009 Automatic Build System <autodist@mambasoft.it> 0.13.57-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 0.13.56-1mamba
- automatic update by autodist

* Mon Jul 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.49-1mamba
- update to 0.13.49

* Mon Jul 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.82-1mamba
- package created by autospec
